Bug 53713 - CRASH: trying to open Lotus 123 files causes LO to crash
Summary: CRASH: trying to open Lotus 123 files causes LO to crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.2.1 rc
Hardware: All Linux (All)
: highest major
Assignee: Markus Mohrhard
QA Contact:
URL:
Whiteboard: BSA target:3.7.0 target:3.6.2 target:...
Keywords: regression
: 54655 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-08-19 14:01 UTC by cldese
Modified: 2013-12-12 15:48 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screan captures (413.04 KB, application/vnd.oasis.opendocument.text)
2012-08-19 14:01 UTC, cldese
Details
123 test file (45.11 KB, application/vnd.lotus-1-2-3)
2012-08-20 08:48 UTC, Alex Thurgood
Details
screenshot of open Lotus 123 file in LO 334 (240.58 KB, image/png)
2012-08-20 08:52 UTC, Alex Thurgood
Details
2 columns abbreviations (17.77 KB, application/vnd.lotus-1-2-3)
2012-09-09 17:52 UTC, Horst
Details
keyboard layout, 6 sheets, LO looses borders and formating (51.57 KB, application/vnd.lotus-1-2-3)
2012-09-09 18:50 UTC, Horst
Details
listing of free software (10.65 KB, application/vnd.lotus-1-2-3)
2012-09-09 18:52 UTC, Horst
Details
universal-content.123 (4.67 KB, application/vnd.lotus-1-2-3)
2012-09-09 20:56 UTC, Horst
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cldese 2012-08-19 14:01:34 UTC
Created attachment 65778 [details]
screan captures

Problem description: 
Libre office was advertized as having the ability to open .123 but I cannot do it

Steps to reproduce:
1. .... I use libreoffice in french; 
A window with "import de fichiers Lotus" opens 

2. .... When I click on Europe occidentale (Dos/0S2-437/US)
3. .... A window with an error message appears "Libre Office s'est brutalement arrêté en raison d'une erreur inattendue......." See document attached. I test other "jeux de caractères" and I have the message

Current behavior: When I click on Libreoffice Calc a window opens allowing to recovery the spreadsheet

Expected behavior: 

Platform (if different from the browser): 
              
Browser: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Win64; x64; Trident/4.0; GTB7.3; .NET CLR 2.0.50727; SLCC2; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET4.0C)
Comment 1 Alex Thurgood 2012-08-19 14:31:30 UTC
Hi,

Please provide us with a test file, so that we can try to reproduce.


Alex
Comment 2 Alex Thurgood 2012-08-20 08:48:12 UTC
Created attachment 65818 [details]
123 test file

Sent to me by initial bug submitter
Comment 3 Alex Thurgood 2012-08-20 08:52:40 UTC
Created attachment 65819 [details]
screenshot of open Lotus 123 file in LO 334
Comment 4 Alex Thurgood 2012-08-20 08:54:03 UTC
The good news is that it opens in LO 3.3.4 on Mac, so I will try it later versions to see if I can intersect the occurrence of the problem.



Alex
Comment 5 Alex Thurgood 2012-08-20 08:57:03 UTC
Also opens fine for me with 
LibreOffice 3.5.5.3 
Version ID : 7122e39-92ed229-498d286-15e43b4-d70da21


Alex
Comment 6 Alex Thurgood 2012-08-20 09:00:32 UTC
Also opens fine for me on :
Version 3.7.0.0.alpha0+ (Build ID: fdfb7a3)

All of the testing so far was carried out on Mac OSX 10.8.

My guess is that this is a Windows only problem.


Alex
Comment 7 Alex Thurgood 2012-09-09 12:29:10 UTC
Independent confirmation on Windows from bug 54655 which is a duplicate.


Alex
Comment 8 Alex Thurgood 2012-09-09 12:29:40 UTC
*** Bug 54655 has been marked as a duplicate of this bug. ***
Comment 9 Alex Thurgood 2012-09-09 12:31:23 UTC
No idea who is the expert for these on a dev level.

Alex
Comment 10 Alex Thurgood 2012-09-09 12:35:57 UTC
Trying to open this file on LO daily Version 3.6.2.0+ (Build ID: bb1511c) causes LO to crash on Linux 64bit.
Comment 11 Alex Thurgood 2012-09-09 12:43:40 UTC
Program received signal SIGSEGV, Segmentation fault.
0x00007fffc3218ac1 in ?? () from /opt/lodev3.6/program/libscfiltlo.so
(gdb) bt
#0  0x00007fffc3218ac1 in ?? () from /opt/lodev3.6/program/libscfiltlo.so
#1  0x00007fffc321d431 in ?? () from /opt/lodev3.6/program/libscfiltlo.so
#2  0x00007fffc321d83d in ?? () from /opt/lodev3.6/program/libscfiltlo.so
#3  0x00007fffc321f0de in ?? () from /opt/lodev3.6/program/libscfiltlo.so
#4  0x00007fffc696514f in ScDocShell::ConvertFrom(SfxMedium&) ()
   from /opt/lodev3.6/program/../program/libsclo.so
#5  0x00007ffff5a0a1d5 in SfxObjectShell::DoLoad(SfxMedium*) () from /opt/lodev3.6/program/libsfxlo.so
#6  0x00007ffff5a5e3f5 in SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) () from /opt/lodev3.6/program/libsfxlo.so
#7  0x00007ffff5a97bcf in ?? () from /opt/lodev3.6/program/libsfxlo.so
#8  0x00007fffdfc0427b in ?? () from /opt/lodev3.6/program/../program/libfwklo.so
#9  0x00007fffdfc0481a in ?? () from /opt/lodev3.6/program/../program/libfwklo.so
#10 0x00007fffdfb82d7c in ?? () from /opt/lodev3.6/program/../program/libfwklo.so
#11 0x00007fffdfb832f8 in ?? () from /opt/lodev3.6/program/../program/libfwklo.so
#12 0x00007ffff6a2a107 in comphelper::SynchronousDispatch::dispatch(com::sun::star::uno::Reference<com::sun::star::uno::XInterface> const&, rtl::OUString const&, rtl::OUString const&, int, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) () from /opt/lodev3.6/program/libcomphelpgcc3.so
#13 0x00007ffff58055db in ?? () from /opt/lodev3.6/program/libsfxlo.so
#14 0x00007ffff58a3c92 in ?? () from /opt/lodev3.6/program/libsfxlo.so
#15 0x00007ffff58a4748 in SfxDispatcher::Execute(unsigned short, unsigned short, unsigned short, SfxItemSet const&) () from /opt/lodev3.6/program/libsfxlo.so
#16 0x00007ffff5805071 in ?? () from /opt/lodev3.6/program/libsfxlo.so
#17 0x00007ffff58a3c92 in ?? () from /opt/lodev3.6/program/libsfxlo.so
#18 0x00007ffff58a4171 in ?? () from /opt/lodev3.6/program/libsfxlo.so
#19 0x00007ffff5a7bf3a in ?? () from /opt/lodev3.6/program/libsfxlo.so
#20 0x00007ffff3a5bdd1 in ?? () from /opt/lodev3.6/program/libvcllo.so
#21 0x00007ffff3a6618e in SalGenericDisplay::DispatchInternalEvent() ()
   from /opt/lodev3.6/program/libvcllo.so
#22 0x00007fffebd01967 in ?? () from /opt/lodev3.6/program/libvclplug_gtklo.so
#23 0x00007fffebd019d9 in ?? () from /opt/lodev3.6/program/libvclplug_gtklo.so
#24 0x00007fffea01ca5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#25 0x00007fffea01d258 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#26 0x00007fffea01d429 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#27 0x00007fffebd01acd in ?? () from /opt/lodev3.6/program/libvclplug_gtklo.so
#28 0x00007ffff379b091 in Application::Yield(bool) () from /opt/lodev3.6/program/libvcllo.so
#29 0x00007ffff379b147 in Application::Execute() () from /opt/lodev3.6/program/libvcllo.so
#30 0x00007ffff7924ff7 in ?? () from /opt/lodev3.6/program/libsofficeapp.so
#31 0x00007ffff37a1a27 in ?? () from /opt/lodev3.6/program/libvcllo.so
#32 0x00007ffff37a1af5 in SVMain() () from /opt/lodev3.6/program/libvcllo.so
---Type <return> to continue, or q <return> to quit---
#33 0x00007ffff7951137 in soffice_main () from /opt/lodev3.6/program/libsofficeapp.so
#34 0x000000000040070b in ?? ()
#35 0x00007ffff70f730d in __libc_start_main (main=0x400700, argc=1, ubp_av=0x7fffffffe6d8, 
    init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe6c8)
    at libc-start.c:226
#36 0x000000000040066a in ?? ()
#37 0x00007fffffffe6c8 in ?? ()
#38 0x000000000000001c in ?? ()
#39 0x0000000000000001 in ?? ()
#40 0x00007fffffffe9c4 in ?? ()
#41 0x0000000000000000 in ?? ()
Comment 12 Alex Thurgood 2012-09-09 12:46:27 UTC
@Markus, Kohei : any idea ?

Alex
Comment 13 Alex Thurgood 2012-09-09 12:54:52 UTC
The same test file opens fine on LO 3.5.4.2


Alex
Comment 14 Markus Mohrhard 2012-09-09 14:51:35 UTC
Found the bug. Can anyone here create some files for us with Lotus? I would need some test files for automated tests to prevent these bugs in future.

Will push a fix in some minutes and ask for Review for 3-6
Comment 15 Not Assigned 2012-09-09 15:30:34 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2ac26e6b5248f2f3fde8dc4341b01ef15b6c3a29

don't use unitialized global variable, fdo#53713



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Alex Thurgood 2012-09-09 16:47:24 UTC
Hi Markus,

> Found the bug. Can anyone here create some files for us with Lotus? I would
> need some test files for automated tests to prevent these bugs in future.

I have a copy of Smartsuite 9 on a Windows PC somewhere, and try and cobble some sample 123 files together tomorrow, if you let me know in more detail what you're looking for.


Alex
Comment 17 Markus Mohrhard 2012-09-09 16:57:26 UTC
> > Found the bug. Can anyone here create some files for us with Lotus? I would
> > need some test files for automated tests to prevent these bugs in future.
> 
> I have a copy of Smartsuite 9 on a Windows PC somewhere, and try and cobble
> some sample 123 files together tomorrow, if you let me know in more detail what
> you're looking for.
> 

Hey,

I'm looking for a lotus version of http://cgit.freedesktop.org/libreoffice/core/plain/sc/qa/unit/data/ods/universal-content.ods and then maybe one test document containing some formatting, some basic formulas, a named range, ...

These would help to have at least a decent test coverage for lotus files.
Comment 18 Horst 2012-09-09 17:52:30 UTC
Created attachment 66886 [details]
2 columns abbreviations

One attachment. I filed the duplicate bug 54655. Have to find more files, that are not confidential.
It happens with ALL of my 123 files.
If it helps it worked fine in LO3.6.0.4 but no longer in 3.6.1.
Comment 19 Horst 2012-09-09 18:50:10 UTC
Created attachment 66891 [details]
keyboard layout, 6 sheets, LO looses borders and formating

Another File:
Sheet1: Keyboard layout for US-International, LO lost all borders and most formating, so it looks a bit weird in CALC
5 more sheets with listings
Comment 20 Horst 2012-09-09 18:52:55 UTC
Created attachment 66893 [details]
listing of free software

another file:
One sheet, simple columns.
I did not have a spreadsheet with formulaas or charts.
Comment 21 Markus Mohrhard 2012-09-09 20:12:54 UTC
This bug is already fixed. I only need the two test documents I asked for to ad them to our automatic test suite. They have to be licenced MPL/LGPL.
Comment 22 Horst 2012-09-09 20:56:26 UTC
Created attachment 66896 [details]
universal-content.123

Reply to comment 17:
ONE test file universal-content.123. I typed it into 123.
1) The "Merge & Center Cells" function in 123 is only working across columns not rows and is not transferred to CALC. Calc produces 1 wide column.
2) All columns had the default width in 123. CALC converted them to widest entry.

I hope it helps you
Comment 23 Horst 2012-09-09 21:09:57 UTC
Add on to Comment 19:
In the attached 123 file the sheet "Mem Cap" has 2 tables.
Top table has borders inside and around -> not visible in CALC
Bottom table: 1. row has light gray background and the col. 512MB..4GB are bold -> converts to ";" in front and behind text in CALC.

the other sheets have only some bold text which is also only represented by ";".

 I convert them with the default selection in the first window that pops up. Something 437 I think.
Comment 24 Horst 2012-09-09 22:41:57 UTC
Hi markus,
I don't realy know how you want the second file.
How about that: You create a CALC file with all the stuff in it what you want to test (background, font colors etc.) and I type it into my still running 123 and give it to you. Is probably easy than testing my weird files.
Comment 25 Not Assigned 2012-09-10 05:41:21 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a861b99ee0b53d03b6f93a3bd6d256a27172ace&g=libreoffice-3-6

don't use unitialized global variable, fdo#53713


It will be available in LibreOffice 3.6.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 26 Not Assigned 2012-09-10 15:08:20 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57ce0e13e9228868854749867109c9dbd5b60121&g=libreoffice-3-5

don't use unitialized global variable, fdo#53713


It will be available in LibreOffice 3.5.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 27 Horst 2012-09-17 22:12:55 UTC
Checked it in 3.6.2. rc:
1) LO does not crash on open
2)Merge&Center still not working
3) Formulas and plain data/numbers are NOT imported
Comment 28 Markus Mohrhard 2012-09-17 23:00:19 UTC
Open a new bug report for these problems. This bug report was only about the crash during the import and this one is fixed.

We try to use one bug report for each bug to make it easy to keep track of fixed bugs in different versions.
Comment 29 Markus Mohrhard 2012-09-18 00:13:56 UTC
(In reply to comment #22)
> Created attachment 66896 [details]
> universal-content.123
> 
> Reply to comment 17:
> ONE test file universal-content.123. I typed it into 123.
> 1) The "Merge & Center Cells" function in 123 is only working across columns
> not rows and is not transferred to CALC. Calc produces 1 wide column.
> 2) All columns had the default width in 123. CALC converted them to widest
> entry.
> 
> I hope it helps you

Could you please send a licence statement to one of our mailing lists? For this http://lists.freedesktop.org/mailman/listinfo/libreoffice-qa with a statement like: 

"All my contributions, past and future, to LibreOffice are licensed
  under the terms of the MPL / LGPLv3+. "


This would allow me to check in your test file with you as author.

Thanks Markus

P.S. List should not require registration
Comment 30 Markus Mohrhard 2012-09-18 15:39:17 UTC
(In reply to comment #29)
> (In reply to comment #22)
> > Created attachment 66896 [details]
> > universal-content.123
> > 
> > Reply to comment 17:
> > ONE test file universal-content.123. I typed it into 123.
> > 1) The "Merge & Center Cells" function in 123 is only working across columns
> > not rows and is not transferred to CALC. Calc produces 1 wide column.
> > 2) All columns had the default width in 123. CALC converted them to widest
> > entry.
> > 
> > I hope it helps you
> 
> Could you please send a licence statement to one of our mailing lists? For this
> http://lists.freedesktop.org/mailman/listinfo/libreoffice-qa with a statement
> like: 
> 
> "All my contributions, past and future, to LibreOffice are licensed
>   under the terms of the MPL / LGPLv3+. "
> 
> 
> This would allow me to check in your test file with you as author.
> 
> Thanks Markus
> 
> P.S. List should not require registration

Problem solved. Kohei provided a test document. Could you still open a bug report for the other problems you mentioned.
Comment 31 Horst 2012-09-18 19:23:20 UTC
(In reply to comment #30)
> (In reply to comment #29)
> > (In reply to comment #22)
> > > Created attachment 66896 [details]
> > > universal-content.123
> > > 
> > > Reply to comment 17:
> > > ONE test file universal-content.123. I typed it into 123.
> > > 1) The "Merge & Center Cells" function in 123 is only working across columns
> > > not rows and is not transferred to CALC. Calc produces 1 wide column.
> > > 2) All columns had the default width in 123. CALC converted them to widest
> > > entry.
> > > 
> > > I hope it helps you
> > 
> > Could you please send a licence statement to one of our mailing lists? For this
> > http://lists.freedesktop.org/mailman/listinfo/libreoffice-qa with a statement
> > like: 
> > 
> > "All my contributions, past and future, to LibreOffice are licensed
> >   under the terms of the MPL / LGPLv3+. "
> > 
> > 
> > This would allow me to check in your test file with you as author.
> > 
> > Thanks Markus
> > 
> > P.S. List should not require registration
> 
> Problem solved. Kohei provided a test document. Could you still open a bug
> report for the other problems you mentioned.

I send the licence anyway. I hope it works and we might need it for future endeavours (-;.
Comment 32 Markus Mohrhard 2012-09-18 19:28:19 UTC
Great. Could you then please open one bug report for each problem that you see with the Lotus import filter? Please mention also if it is a regression or not.

Thanks a lot for your effort.
Comment 33 Horst 2012-09-18 20:36:40 UTC
(In reply to comment #32)
> Great. Could you then please open one bug report for each problem that you see
> with the Lotus import filter? Please mention also if it is a regression or not.
> 
> Thanks a lot for your effort.

I filed bug 55066 already. And also attached a new universal-content2.ods/123 for more intense testing.
FYI there are 5 old problems and 1 new (missing data and formulas).
Comment 34 Markus Mohrhard 2012-10-01 18:02:05 UTC
*** Bug 55222 has been marked as a duplicate of this bug. ***